#!/usr/bin/perl -w

#**************************************************************************
#   Copyright (C) 2009 by Michael Andreen <harvATruinDOTnu>               *
#                                                                         *
#   This program is free software; you can redistribute it and/or modify  *
#   it under the terms of the GNU General Public License as published by  *
#   the Free Software Foundation; either version 2 of the License, or     *
#   (at your option) any later version.                                   *
#                                                                         *
#   This program is distributed in the hope that it will be useful,       *
#   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#   GNU General Public License for more details.                          *
#                                                                         *
#   You should have received a copy of the GNU General Public License     *
#   along with this program; if not, write to the                         *
#   Free Software Foundation, Inc.,                                       *
#   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
#**************************************************************************

use strict;
use warnings;
use feature ':5.10';
use POE qw(Component::IRC::Qnet::State);


use NDIRC::CommonStates;
use NDIRC::Eos;

my $nickname = 'ndbot';
my $ircname = 'ND test bot';
my $server = 'irc.netgamers.org';

# We create a new PoCo-IRC object
my $irc = POE::Component::IRC::Qnet::State->spawn(
	nick => $nickname,
	ircname => $ircname,
	server => $server,
	servers => [$server, 'underworld.no.eu.netgamers.org', ]
) or die "Oh noooo! $!";

$irc->service_bots(QBOT => 'P@cservice.netgamers.org');

$ND::scanchan = '#testarmer';
$ND::defchan = '#testarlite';
$ND::memchan = '#testarmer';

POE::Session->create(
	package_states => [
		'NDIRC::CommonStates' => [ qw(_default _start irc_001 sig_DIE sig_usr1 sig_usr2
			signal_handler irc_disconnected irc_invite) ],
		'NDIRC::Eos' => [ qw(irc_public irc_msg refresh irc_join) ],
	],
	heap => { irc => $irc },
);

$poe_kernel->run();
